local tutorial = "TalentSwitch Tutorial: How to create a custom macro substitution\n\n There are three commands used for managing your custom substitution rules\n"

local list = "/tswitchlist [talentname [& talentname [& talentname [...]]]] - will list all the rules you have for a particular talent. The optional argument talentname allows you to specify a list of talents, seperated by the & sign, to view. With no argument, all talents stored are lsited\n"

local del = "/tswitchdel talentname & index - deletes a rule for the talent given by the talentname argument. Index is the number of the rule to be deleted, and can be found in square brackets using the /tswitchlist command\n"

local add = "/tswitchadd talentname & text_to_overwrite & text_to_add - adds a new rule to TalentSwitch. The rule will active when you switch to the talent given by talentname. Any macros that contain text_to_overwrite will be changed to text_to_add. When you switch away from talent name, the rule will apply in reverse; removing text_to_add and putting text_to_overwrite in its place.\n For ease, and to save rules, you can use #t in place of the name of talents in the current talent tier.\n Using #n will start a new line in your macro.\nYou can make complex changes by using comments in macros to mark positions. Any line beginning with # is a comment (except #t, #n and #TSW# [the last of which is used internally]).\n"

local examples = "Some examples: \n\n/tswitchadd Shadowstep & #t & #t#n/use Redirect\nThis will add redirect to any macro with the Rogue tier 6 talents if Shadowstep is selected, but remove it otherwise. This wont work if you use Shadowstep in the middle of a line however.\n\n/tswitchadd Shadowstep & #t6marker & #t6marker#n/use Redirect\nSimilar to above, this will add the use of Redirect to any macro marked by the position of the comment #t6marker in the macro text. This can be palced anywhere.\n\n/tswitchadd Celerity & /use #t & /use Touch of Death\nReplaces the Monk tier 2 talent Celerity with the skill Touch of Death when selected. This would be useful if you have a macro for a tier that has a mixture of active and passive options. When the passive (in this case Celerity) is selected, the macro is redirected to another useful active ability."

tutorial = tutorial.."\n"..list.."\n"..del.."\n"..add.."\n"..examples.."\n\nType /tswitchhelp again to hide this message."

function SlashCmdList.TSWITCHTUT(msg, editbox)
	if TSwitchTut == nil then
		TSwitchTut = CreateFrame("Frame", name, UIParent)
		TSwitchTut:SetPoint("LEFT", UIParent, "LEFT", -51, 0)
		TSwitchTut:SetWidth(500)
		TSwitchTut:SetHeight(500)
		TSwitchTut:EnableMouse(true)
		TSwitchTut:RegisterForDrag("LeftButton")
		TSwitchTut:SetClampedToScreen(true)
		TSwitchTut:SetMovable(false)
		TSwitchTut.unit = "target"
		TSwitchTut = TSwitchTut:CreateFontString("TargetPercentText", "OVERLAY")
		TSwitchTut:SetAllPoints(name)
		TSwitchTut:SetFontObject(GameFontNormal)
		TSwitchTut:SetJustifyH("LEFT")
		TSwitchTut:SetText(tutorial)
	else
		if (TSwitchTut:IsVisible()) then
			TSwitchTut:Hide()
		else
			TSwitchTut:Show()
		end
	end
end